/*********************************************************************
 * FileName:        led.c
 * Dependencies:    See INCLUDES section below
 * Processor:       PIC18
 * Compiler:        C18 2.30.01+
 * Company:         sprut
 * Copyright:       2012 Joerg Bredendiek (sprut)
 *
 *
 ********************************************************************/


/** I N C L U D E S **********************************************************/
#include <p18cxxx.h>
#include "GenericTypeDefs.h"
#include "HardwareProfile.h"             // I/O pin mapping
#include "delays.h"
#include "capture_rc.h"
#include "led.h"
#include "axis.h"
#include "buttons.h"
#include "switches.h"



/** V A R I A B L E S ********************************************************/
#pragma udata


/** D E C L A R A T I O N S **************************************************/
#pragma code
void	Led_Init(void)
{
    TRISC &= 0xFE;	// RC0 output
	Led1_Off();
}



void	Led1_On(void)
{
	LED1 = 1;
}



void	Led1_Off(void)
{
	LED1 = 0;
}


/** EOF ************************************************************/