/*********************************************************************
 * FileName:        led.h
 * Dependencies:    See INCLUDES section below
 * Processor:       PIC18
 * Compiler:        C18 2.30.01+
 * Company:         sprut
 * Copyright:       2012 Joerg Bredendiek (sprut)
 *
 *
 ********************************************************************/

#ifndef LED_H
#define LED_H

/** I N C L U D E S *************************************************/
#include "HardwareProfile.h"     




/** D E F I N I T I O N S *******************************************/
#define LED1		PORTCbits.RC0



/** E X T E R N     *************************************************/



/** P U B L I C  P R O T O T Y P E S ********************************/
void	Led_Init(void);
void	Led1_On(void);
void	Led1_Off(void);

/** P R I V A T E  P R O T O T Y P E S ******************************/

#endif	// LED_H

/****  E N D E  *****************************************************/
